Delete Zone by ID - Fabric
Delete Zone by ID
cURL
curl --request DELETE \
--url https://api.fabric.inc/v3/location-zones/{zoneId} \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'
Python
import requests
url = "https://api.fabric.inc/v3/location-zones/{zoneId}"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'DELETE',
headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fabric.inc/v3/location-zones/{zoneId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/location-zones/{zoneId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/location-zones/{zoneId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response Codes
- 200: OK
- 400: Bad Request
- 401: Unauthorized
- 404: Not Found
- 500: Internal Server Error
Example JSON Response
Successful Response
{
"zoneName": "US_LOCATIONS",
"zoneType": "ABSOLUTE",
"zoneId": "9372919a8219e8",
"description": "Specific zone for US Locations",
"locations": [
{
"priority": 1,
"locationNumber": 23
}
],
"tiers": [
{
"filters": [
{
"field": "location.locationNum",
"condition": "EQ",
"value": "<unknown>",
"group": "GroupA"
}
],
"sort": "+location.createdAt",
"tier": 123
}
],
"createdAt": "2022-05-12T09:30:31.198Z",
"updatedAt": "2022-05-12T09:30:31.198Z"
}
Client Error Response
{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4003",
"message": "Mandatory param(s): `requiredField1` is/are missing",
"errors": [
{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4002",
"message": "Invalid value(s) specified for 'requiredField.field3'",
"errors": []
}
],
"context": {
"service": "orders",
"endpoint": "POST /v3/orders"
}
}
Unauthorized Error Response
{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4001",
"message": "Unauthorized request",
"errors": [],
"context": {
"service": "orders",
"endpoint": "POST /v3/orders/OrderId_12345"
}
}
Not Found Error Response
{
"message": "Zone with zoneId 9372919a8219e8 not found"
}
Server Error Response
{
"type": "SERVER_ERROR",
"errorCode": "SERVICE-5000",
"message": "Internal server error",
"errors": [],
"context": {
"service": "inventories",
"endpoint": "POST /v3/inventories/actions/find-by-geography"
}
}
Authorizations
- Authorization (header, required): Bearer authentication header of the form
Bearer <token>.
Headers
- x-fabric-tenant-id (header, required): Used by fabric to identify the tenant making the request.
Path Parameters
- zoneId (string, required): System-generated unique ID to identify the zone.